This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 911607 - Review Request: gnome-mines - GNOME Mines Sweeper game
Review Request: gnome-mines - GNOME Mines Sweeper game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-15 07:58 EST by Yanko Kaneti
Modified: 2013-03-25 06:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-25 06:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kalevlember: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2013-02-15 07:58:39 EST
Spec URL: http://declera.com/~yaneti/gnome-mines/gnome-mines.spec
SRPM URL: http://declera.com/~yaneti/gnome-mines/gnome-mines-3.7.5-1.fc19.src.rpm
Description:  GNOME Mines Sweeper game
Fedora Account System Username: yaneti

This is the upstream separation of the gnomine from gnome-games

# rpmlint 
gnome-mines.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-mines-3.7.5/COPYING

This along with the copyright headers and the ug desktop keywords translation bug is already fixed in upstream git.
Comment 1 Yanko Kaneti 2013-02-15 08:14:44 EST
What I meant to say about the ug desktop keyword bug is that its going to be fixed in upstream git this weeken, as per the ug maintainer's word.
Comment 3 Kalev Lember 2013-03-23 07:21:51 EDT
Taking for review.
Comment 4 Kalev Lember 2013-03-23 07:46:17 EDT
Fedora review gnome-mines-3.7.92-1.fc20.src.rpm 2013-03-23

+ OK
! needs attention

rpmlint output:
$ rpmlint gnome-mines \
          gnome-mines-debuginfo-3.7.92-1.fc19.x86_64.rpm \
          gnome-mines-3.7.92-1.fc19.src.rpm
gnome-mines.x86_64: W: obsolete-not-provided gnome-games-gnomine
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Rpmlint warning is harmless and can be ignored
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  e7895c445a231a661a8745b37144eb34  gnome-mines-3.7.92.tar.xz
  e7895c445a231a661a8745b37144eb34  Download/gnome-mines-3.7.92.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8


Issues
------
> Patch1:         gnome-mines-desktop-keyword-po.patch
Please submit the patch upstream. Or if you have already done so, please add the bugzilla ticket link to the spec file so I can prod the upstream people with a sharp stick, if needed.

I've noted down some minor nitpicks down below, but they are far from being review blockers; just take a look and do what makes most sense to you:

> BuildRequires:  glib2-devel gtk3-devel
Perhaps split this into two separate lines for consistency with the rest of the BRs? Could even sort the BRs to make it look even nicer!

> %find_lang %{name} --all-name --with-gnome
The --all-name switch isn't needed here, all of the translations / help files are installed under the 'gnome-mines' name.

> %{_mandir}/man6/gnome-mines.6.gz
The man page compression is done by rpm and might change in the future, would be safer to use a glob here:
%{_mandir}/man6/gnome-mines.6*

Also, might make sense to sort the files list.

In any case, the spec file looks good and the nitpicks above are really minor.
APPROVED
Comment 5 Yanko Kaneti 2013-03-23 08:23:12 EDT
Filed https://bugzilla.gnome.org/show_bug.cgi?id=696455 for the translation issue. Will take all the other nots into consideration.

Thanks

New Package SCM Request
=======================
Package Name: gnome-mines
Short Description: GNOME Mines Sweeper game
Owners: yaneti
Branches: f19
InitialCC:
Comment 6 Jon Ciesla 2013-03-23 09:27:55 EDT
Git done (by process-git-requests).
Comment 7 Yanko Kaneti 2013-03-25 06:39:54 EDT
Built for f19 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.